#ifndef NWCONNCT_H
#define NWCONNCT_H

/**********************************/
/* Connection Services prototypes */
/**********************************/

#ifdef __cplusplus
extern "C" {
#endif
int   AttachToFileServer(char *serverName,
                 int *connectionID);
int   DetachFromFileServer(char *serverName);
int   EnterLoginArea(int numberOfLocalDrives,
                 char *loginDirectoryName);
int   GetConnectionInformation(word connectNo,
                 char *objectName,
                 int *objectType,long *objectID,
                 byte *loginTime);
int   GetConnectionNumber(void);
int   GetInternetAddress(int conn_no,
                 byte *networkNumber,
                 byte *nodeAddress,word *socketNumber);
int   GetObjectConnectionNumbers(int objectType,
                 char *objectName,word *connectionCount,
                 byte *connections);
void  GetStationAddress(byte *physicalNodeAddress);
int   LoginToFileServer(int connectionID,int objectType,
                 char *objectName,
                 char *objectPassword);
void  LogoutFromFileServer(char *serverName);
void  Logout(void);
#ifdef __cplusplus
}
#endif

#endif
