#ifndef NWSYNC_H
#define NWSYNC_H

/***************************************/
/* Synchronisation Services prototypes */
/***************************************/

#ifdef __cplusplus
extern "C" {
#endif
int   CloseSemaphore(long semaphoreHandle);
int   ExamineSemaphore(long semaphoreHandle,
                 int *semaphoreValue,
                 word *openCount);
int   OpenSemaphore(char *semaphoreName,
                 int initialValue,long *semaphoreHandle,
                 word *openCount);
int   SignalSemaphore(long semaphoreHandle);
int   WaitOnSemaphore(long semaphoreHandle,int timeoutLimit);
#ifdef __cplusplus
}
#endif
                     
#endif
