#ifndef NWFILE_H
#define NWFILE_H

/****************************/
/* File Services prototypes */
/****************************/

#ifdef __cplusplus
extern "C" {
#endif
int   EraseFiles( byte searchAttributes,byte directoryHandle,
                 char *filePath);
int   FileServerFileCopy(int sourceFileHandle,
                 int destinationFileHandle,long sourceFileOffset,
                 long destinationFileOffset,long numberOfBytesToCopy,
                 long *numberOfBytesCopied);
int   PurgeAllErasedFiles(void);
int   PurgeErasedFiles(void);
int   ScanFileInformation(byte directoryHandle,
                 char *filePath,
                 byte searchAttributes,int *sequenceNumber,
                 char *fileName,byte *fileAttributes,
                 byte *extendedFileAttributes,
                 long *fileSize,
                 nw_date *creationDate,
                 nw_date *lastAccessDate,
                 nw_date *lastUpdateDate,
                 nw_time *lastUpdateTime,
                 nw_date *lastArchiveDate,
                 nw_time *lastArchieTime,
                 long *fileOwnerId);
int   SetFileInformation(byte directoryHandle,
                 char *filePath,byte searchAttributes,
                 byte *fileAttributes,
                 byte *extendedFileAttributes,
                 nw_date *creationDate,
                 nw_date *lastAccessDate,
                 nw_date *lastUpdateDate,
                 nw_time *lastUpdateTime,
                 nw_date *lastArchiveDate,
                 nw_time *lastArchiveTime,
                 long *fileOwnerId);
#ifdef __cplusplus
}
#endif

#endif
